.******************************************************************************
.*  Maul Publisher Colour separation Handler Help File
.*   Peter Koller 1998, All Rights Reserved
.******************************************************************************
:userdoc.
:title. Maul-Hilfe zum Bildimport-Handler
:docprof toc=1234.
:h1 res=100 id=intro.Maul-Hilfe zum Bildimport-Handler
:i1 id=all.Maul-Hilfe zum Bildimport-Handler
:font facename='Tms Rmn' size=24x24.
:hp2.Maul-Bildimport-Handler:ehp2.
:font facename=default.
:p.
:p.Diese Software basiert auf Generalised Bitmap Module von Andy Key.
.*<!--<a href="mailto:nyangau@interalpha.co.uk">nyangau@interalpha.co.uk</a>-->
:p.Diese Software basiert teilweise auf der Arbeit der Independent JPEG Group.
:p.
:p.Implementiert von Peter Koller, Maison Anglais, Trebuon, 29530 Plonevez du Faou, France.
:p.Untersttzung unter&colon.
:p.:hp4.Maul Support <maul@manglais.com>:ehp4.
:p.
:p.
:p.:hp2.Untersttzte Formate:ehp2.

:p.GBM untersttzt eine Reihe von Formaten, wie etwa GIF, TIFF, PCX etc.

:p.Normalerweise leiten Anwendungen, die GBM benutzen, das Dateiformat aus der Dateiendung ab.
Beispiel&colon. :hp1.filename.gif:ehp1. ist eine Compu$erve-GIF-Datei.

:p.Wenn Programmen, die unter Verwendung von GBM erstellt wurden, Dateinamen bergeben werden,
ist es mglich, eine durch Komma getrennte Liste formatspezifischer Optionen anzugeben. Diese Optionen
werden in ungefhr dergleichen Art und Weise angehngt, wie es bei Webseiten geschieht, z.B.
:xmp.
dateiname#option=xxx, option, option=xxx
:exmp.
Man kann beispielsweise folgendes verwenden&colon. :hp1.webpiccy.gif#ilace:ehp1..
In diesem Fall handelt es sich bei :hp1.ilace:ehp1. um einen Parameter fr den GBM-Code, der
GIF-Dateien schreibt, und legt fest, da das GIF interlaced geschrieben werden soll.
:note text='Hinweis:'.Bei Bedarf wird die Option 'index=' von den Schaltflchen des Import-Dialogs automatisch
angehngt.

:p.
:xmp.:hp2.
Kurzname : Langname : Dateierweiterungen:ehp2.
  Anmerkungen
:exmp.
:xmp.
:hp2.Bitmap : OS/2 1.1, 1.2, 2.0 / Windows 3.0 bitmap : .BMP .VGA .BGA .RLE .DIB .RL4 .RL8:ehp2.
  Liest alle obigen, falls unkomprimiert oder run-length-komprimiert.
  Liest keine komprimierten Dateien vom Typ CCITT G3 MH Fax.
  Liest keine 24-Bit RLE-Dateien.
  Ist Eingabe eine OS/2-Bitmap-Array-Datei, kann gewnschte Bitmap angegeben werden.
    Eingabeoptionen: index=# (Standard: 0)
  Kann zum Schreiben von OS/2 1.1 oder Windows 3.0 / OS/2 2.0 Bitmaps veranlat werden.
    Ausgabeoptionen: 1.1,win,2.0 (Standard: 2.0, beachte: win=2.0)
  Handhabung von 1bpp-Bitmaps ist etwas kompliziert.
  Beim Lesen von 1bpp-Bitmaps wird die Palette ignoriert.
  1-en werden als Vordergrund und schwarz interpretiert.
  0-en werden als Hintergrund und wei interpretiert.
  Dies stimmt mit dem Hintergrundmodus der Workplace Shell WPFolder-Klasse und den meisten
  PM-Programmen berein, unterscheidet sich aber von Windows PBrush.
  Beim Schreiben von 1bpp-Bitmaps werden die tatschlichen zwei Farben in der Palette
  ignoriert, und es wird eine feste Palette geschrieben. Dies stellt sicher, da das Ergebnis
  1-en in schwarz und 0-en in wei bei WPFolder usw. anzeigt.
  Vorder- und Hintergrundfarben knnen beim Einlesen invertiert werden.
    Eingabeoptionen: inv
  Vorder- und Hintergrundfarben knnen bei der Ausgabe invertiert werden.
    Ausgabeoptionen: inv
  Bits der Vorder- und Hintergrundfarben knnen beim Einlesen invertiert werden.
    Eingabeoptionen: invb
  Bits der Vorder- und Hintergrundfarben knnen bei der Ausgabe invertiert werden.
    Ausgabeoptionen: invb
  Am besten schreibt man 1bpp-Bitmaps so, da die dunkelste Farbe als Vordergrund geschrieben
  wird. Bei der resultierenden Bitmap sind die dunkelsten Farben durch 1-er Bits und die
  hellsten als 0-Bits gesichert. Beim erneuten Laden ergibt sich bei WPFolder und GBM
  ein Bild aus schwarzen 1-sen und weien 0-en.
    Ausgabeoption: darkfg
  Desweiteren gibt es eine Option, um 1bpp-Bitmaps mit der hellsten Farbe als Vordergrund
  zu schreiben. Da WPFolder und GBM beim Laden annehmen, da der Vordergrund schwarz und
  der Hintergrund wei ist, fhrt dies typischerweise zur Invertierung des Bildes.
    Ausgabeoption: lightfg
:exmp.
:xmp.
:hp2.GIF : CompuServe Graphics Interchange Format : .GIF:ehp2.
  Liest 1-Bit Datendateien.
  Liest Datendateien mit 2, 3 und 4 Bit und stellt sie als 4-Bit dar.
  Liest Datendateien mit 5, 6, 7 und 8 Bit und stellt sie als 8-Bit dar.
  Schreibt Datendateien mit 1, 4 und 8 Bit.
  Liest Dateien im Stil "GIF87a" und "GIF89a".
  Schreibt Dateien im Stil "GIF87a".
  Schreibt "GIF89a"-Datei bei Verwendung der Option transcol=.
  Sollte verzgerten clear-code in LZW-Datenstrmen korrekt handhaben.
  Generiert keine Ausgabe mit verzgertem clear-code.
  D.h.: Sollte ltere GIF-Lesern keine Probleme bereiten.
  Kann Bildindex innerhalb Datei beim Lesen angeben.
    Eingabeoption: index=# (Standard: 0)
  Rckgabe dekodierter Daten bis Fehler kann bei defekten Dateien angegeben werden.
    Eingabeoption: errok
  In Bildschirmdeskriptor der Ausgabe zu schreibende Bildschirmgre kann angegeben werden.
    Ausgabeoptionen: xscreen=#,yscreen=# (Standard: image size).
  In BMHD-Header der Datei zu schreibender Hintergrundfarbindex kann angegeben werden.
    Ausgabeoption: background=# (Standard: 0)
  Positionsinformation in Bilddeskriptor der Ausgabe kann angegeben werden.
    Ausgabeoptionen: xpos=#,ypos=# (Standard: 0,0).
  Transparenter Farbindex (ntzlich fr Einbettung in HTML) kann angegeben werden.
    Ausgabeoption: transcol=# (Standard: keiner).
  Transparenten Farbindex auf erstes Pixel setzen mglich.
    Ausgabeoption: transcol=edge
  Kann interlaced GIFs (ntzlich fr HTML <IMG SRC="x.gif">) schreiben.
    Ausgabeoption: ilace
  Intensiv mit GIF-Dateien aus vielen Quellen getestet.
  Kompatibilitt mit xloadimage und xv getestet.
:exmp.
:xmp.
:hp2.PCX : ZSoft PC Paintbrush Image format : .PCX .PCC:ehp2.
  Liest und schreibt Dateien mit 1, 4, 8 und 24 Bit Farbtiefe.
  Untermenge von Ebene/Bits-pro-Ebene-Kombinationen untersttzt.
  Dateien werden unter Verwendung eines run-length Kodierungsschemas geschrieben.
  Mit .PCX-Dateien von ZSoft getestet.
  Komprimierte Bereiche von Pixeln sollten nicht ber Bildzeilen hinausgehen.
  GBM tut dies nie, aber manche anderen Anwendungen verletzen diese Regel.
  Erkennt GBM, da ein Pixelbereich lnger als die Bildzeile ist, verwendet es
  die berzhligen Pixel standardmig fr die nchste Bildzeile.
  Manche Bilder werden nicht ordnungsgemt geladen, da sie erfordern, da das
  ladende Programm die berzhligen Pixel wegfallen lt. Dieses Verhalten kann
  auch bei GBM aktiviert werden.
    Eingabeoption: trunc
:exmp.
:xmp.
:hp2.TIFF : Microsoft/Aldus Tagged Image File Format support : .TIF .TIFF:ehp2.
  Liest und schreibt Dateien mit 1, 4, 8 und 24 Bit Farbtiefe.
  Kann fast alle TIFF 6.0 Baseline entsprechenden Dateien lesen.
    Kann unkomprimierte und Packbits-Bilder lesen.
    Das fehlende Stck ist CCITT Modified huffman compression.
  Kann manche Dateien mit Erweiterungen zu Baseline lesen.
    Kann 1bpp-Graustufen- und palettisierte Dateien lesen.
    Kann Dateien mit Orientation==4 lesen.
    Kann RGB-Bilddaten aus Dateien mit PlanarConfiguration==2 lesen.
    Kann auch LZW-komprimierte Dateien lesen.
    Kann auch Dateien mit CMYK-4-Farb-Trennung lesen.
    Keine Untersttzung fr JPEG oder Y-Cb-Cr.
  Schreibt TIFF 6.0 Baseline entsprechende Dateien.
    Schreibt normalerweise nur unkomprimierte Dateien.
    Daten werden als einzelner, groer Streifen geschrieben.
  Bild innerhalb von TIFF-Datei aus mehreren Bildern kann angegeben werden.
    Eingabeoption: index=# (Standard: 0)
  Kann 1bpp-Datei als nicht-Baseline unter Erhaltung von Vorder/Hintergrundfarben schreiben.
    Ausgabeoption: pal1bpp
  Kann LZW-Kompression anfragen.
    Ausgabeoption: lzw
  An Ausgabe anzuhngende Informations-Tags knnen angegeben werden.
    Ausgabeoptionen: artist=,software=,make=,model=,host=,documentname=,pagename=,imagedescription=
:exmp.
:xmp.
:hp2.Targa : Truevision Targa/Vista bitmap : .TGA .VST .AFI:ehp2.
  Liest smtliche unkomprimierten und run-length-komprimierten Dateien.
  Liest Dateien mit Farbtiefe von 8 und 24 Bit.
  Kann Dateien mit 8-Bit-Graustufen und 8-Bit Farbzuordnung lesen.
  Liest sowohl yup- als auch ydown-Dateien.
  Schreibt unkomprimierte Daten mit 8 Bit oder 16, 24, 32 Bit.
    Ausgabeoptionen: 16,24,32 (Standard: 24)
  8-Bit-Daten werden stets als Datei mit Farbpalette geschrieben.
  Kann veranlat werden, yup- und ydown-Dateien zu schreiben.
    Ausgabeoptionen: ydown,yup (Standard: yup)
:exmp.
:xmp.
:hp2.ILBM : Amiga IFF / ILBM Interleaved bitmap format : .IFF .LBM:ehp2.
  Liest palettisierte Dateien mit 1 Bit.
  Liest palettisierte Dateien mit 2, 3 und 4 Bit und gibt sie mit 4 Bit zurck.
  Liest palettisierte Dateien mit 5, 6, 7 und 8 Bit und gibt sie mit 8 Bit zurck.
  Liest Bilder mit 24 Bit und gibt sie mit 24 bit zurck.
  Liest HAM6-, HAM8-, SHAM- und Extra-Halfbrite-Bilder.
  HAM6, HAM8 und SHAM werden als 24-Bit-Daten zurckgegeben.
  Schreibt palettisierte Dateien mit 1, 4 und 8 Bit Farbtiefe.
  Schreibt 24-Bit-Dateien normal oder mit vorheriger Konvertierung nach HAM6.
  Hierdurch entsteht ein Qualittsverlust, aber das Ergebnis ist immer noch besser
  als bei 8 Bit.
  Erkennt das verwendete RLE-Kompressionsschema.
  Verwendet nur Dateiabschnitte BMHD, CMAP, CAMG und BODY.
  Schreibt nur Dateiabschnitte BMHD, CMAP, CAMG und BODY.
  Positionsinformation im BHMD-Header der Datei kann angegeben werden.
    Ausgabeoptionen: xpos=#,ypos=# (Standard: 0,0).
  In BMHD-Header der Datei zu schreibende transparente Farbe kann angegeben werden.
    Ausgabeoption: transcol=# (Standard: 0)
  In BMHD-Header der Datei zu schreibende Grenverhltnisse knnen angegeben werden.
    Ausgabeoptionen: xaspect=#,yaspect=# (Standard: 1,1).
  In BMHD-Header der Datei zu schreibende Bildschirmgre kann angegeben werden.
    Ausgabeoptionen: xscreen=#,yscreen=# (Standard: Bildgre).
  Kann veranlat werden, 24-bpp-Daten im HAM6-Format zu schreiben.
    Ausgabeoption: ham6
  Beachten Sie, da wenn DeluxePaint usw. versucht, eine 8 Bit IFF-Datei zu laden,
  in einen 32-Farbmodus (5-Bit-Modus) umgeschaltet wird und nur die 5 letzten
  signifikanten Ebenen der Datei gelesen werden - dies sieht i.a. eklig aus!
  Mit DeluxePaint Beispiel-Bitmaps getestet.
:exmp.
:xmp.
:hp2.YUV12C : YUV12C M-Motion Frame Buffer : .VID:ehp2.
  Liest Dateien und stellt Daten als 24-Bit-Daten dar.
  Schreibt 24-Bit-Datendateien durch Konvertierung in 12-Bit-YUV.
  VID-Dateien MSSEN ein Vielfaches von 4 Pixeln breit sein.
  Werden nicht Vielfache von 4 geschrieben, gehen die letzten 1, 2 oder 3 Pixels verloren.
  Information zu Bildherkunft im YUV12C-Header kann angegeben werden.
    Ausgabeoptionen: xpos=#,ypos=# (Standard: 0,0).
  Mit M-Control Program 2.0, einer Browser-Beispielanwendung, getestet.
:exmp.
:xmp.
:hp2.Greymap : Portable Greyscale-map (binrer P5-Typ) : .PGM:ehp2.
  Dank fr das Dateiformat geht an Jef Poskancer.
  Dateiformat enthlt keine Palette.
  Liest 8-Bit-Graustufendateien.
  Schreibt rote, grne und blaube Ebene oder Graustufenquivalent eines 8-Bit-Bildes.
    Ausgabeoptionen: r,g,b,k (Standard: k)
:exmp.
:xmp.
:hp2.Pixmap : Portable Pixel-map (binrer P6-Typ) : .PPM:ehp2.
  Dank fr das Dateiformat geht an Jef Poskancer.
  Liest und schreibt Dateien mit unpalettisierten 24-Bit-RGB-Daten.
:exmp.
:xmp.
:hp2.KIPS : IBM KIPS : .KPS:ehp2.
  Liest palettisierte 8-Bit-Dateien.
  Sucht in .PAL-Datei nach Palette, wenn keine .KPL-Datei angegeben wurde.
    Eingabeoptionen: pal,kpl (Standard: pal)
  Schreibt palettisierte 8-Bit-Dateien.
  Schreibt Palette in .PAL-Datei, wenn keine .KPL-Datei angegeben wurde.
    Ausgabeoptionen: pal,kpl (Standard: pal)
:exmp.
:xmp.
:hp2.IAX : IBM Image Access eXecutive : .IAX:ehp2.
  Liest Array als 8-Bit-Graustufen.
  Dateiformat enthlt keine Bilddimensionen.
  Daher wird davon ausgegangen, da die Breite 512 Pixels betrgt, wenn nicht anders angegeben.
    Eingabeoptionen: width=# (Standard: 512)
  Dateiformat enthlt keine Palette.
  Schreibt rote, grne und blaue Ebene oder Graustufenquivalent eines 8-Bit-Bildes.
    Ausgabeoptionen: r,g,b,k (Standard: k)
:exmp.
:xmp.
:hp2.XBitmap : X Windows bitmap : .XBM:ehp2.
  Liest 1bpp X-Bitmaps, stellt 1-en als schwarz und 0-en als wei dar.
  Schreibt 1bpp X-Bitmaps, dunkelste Farbe als 1-en, hellste Farbe als 0-en.
  Mit einigen Beispiel-.XBM-Dateien getestet.
:exmp.
:xmp.
:hp2.Sprite : Archimedes Sprite-Format von RiscOS : .SPR .SPRITE:ehp2.
  Genaugenommen besitzen Sprite-Dateien keine Erweiterung.
  GBM erkennt der Bequemlichkeit halber aber .SPR und .SPRITE.
  Liest 1-, 4- und 8-Bit-Sprites.
  Wert fr 'First bit' im Header mu ein Vielfaches von 8 betragen (sehr wahrscheinlich).
  Liest nur Bildebene, smtliche Maskenebenen werden ignoriert.
  Kommt mit Fehlen von Palette in Datei zurecht.
  Verwendet in diesem Fall Wimp-Standardpalette.
  Sprite kann ausgewhlt werden, falls Eingabe mehrere enthlt.
    Eingabeoptionen: index=# (Standard: 0)
  Gibt Dateien mit 1, 4 und 8 Bit aus.
  Schreibt eine Palette in die Datei.
  Schreibt nur Bildebene, also keine Maskenebene.
  Schreibt eine Palette mit 16 Eintrgen fr 8-Bit-Daten (keine 64 Eintrge).
  Fhrt beim Schreiben von 8-Bit-Daten Zuordnung auf seltsame Archimedes-Palette durch.
  Lesen von 4bpp-Sprites ohne Palette getestet.
  Lesen von 8bpp-Sprites ohne Palette und mit Palette mit 64 Eintrgen getestet.
  Von GBM erzeugte Sprites wurden unter RiscOS geladen.
  Achtung: SetType zum ndern des Typs von PC-Datei nach Sprite verwenden,
  indem Option SetType des Filer-Mens oder "*SetType <filename> Sprite" benutzt wird.
:exmp.
:xmp.
:hp2.PSEG : IBM Druckseitensegment : .PSE .PSEG .PSEG38PP .PSEG3820:ehp2.
  Dieses Dateiformat wird von IBM Dokument/Drucksystemen verwendet.
  Wird zur Darstellung in Dokumenten benutzter bi-level-Bilder verwendet.
  Liest Daten und stellt eine 1bpp-Bitmap dar.
  Bild stellt 1-en als schwarz auf weiem Hingergrund aus 0-en dar.
  PSEG-Dateien sollten von einem VM-Host im Binrmodus bertragen werden.
  Manche PSEG-Dateien besitzen eine defekte Datensatzstruktur.
  Dies stellt unter VM kein Problem dar, kann aber nicht-VM-Leser verwirren.
  GBM kann dazu berredet werden, sich an diesen Dateien zu versuchen.
    Eingabeoption: fixrec
  Gibt 1bpp-Datei aus.
  Gibt Datei mit Skalierungsfaktor 1000 aus.
  Fr x und y kann neue Skala angegeben werden.
    Ausgabeoptionen: scalex=#, scaley=#
  Skalierungsfaktor kann verdoppelt werden (Option fr Abwrtskompatibilitt).
    Ausgabeoption: double
  Schreibt Datei mit pel-Werten von 2400 (Punkte pro 10 Inch, d.h.: 240 dpi).
  Fr x und y knnen neue pel-Werte angegeben werden.
    Ausgabeoptionen: pelx=#, pely=#
  Paletten in 1bpp-Daten gehen beim Schreiben der Datei verloren.
  Resultierende nicht-VM-Datei besitzt keine Datensatzstruktur.
  Beim Hochladen mu sie also mit FIXL3820 EXEC oder hnlichem korrigiert werden.
  Bildbreite wird beim Schreiben auf das nchste Vielfache von 8 gerundet.
:exmp.
:xmp.
:hp2.GemRas : GEM Raster : .IMG:ehp2.
  Grundlegende Untersttzung und verschiedene XIMG-Erweiterungen vorhanden.
  Eine Erweiterung ist Inhalt von Paletteninformation.
  Weitere erlaubt Plazierung von 24-bpp-Daten in .IMG-Datei.
  Liest 1-bpp-Dateien (schwarz/wei) und gibt 1-bpp-Daten zurck.
  Liest 2- ,3- und 4-bpp-Dateien (farbig, grau, XIMG mit Palette) und gibt 4 bpp zurck.
  Liest 5,6,7 and 8 bpp files (grey, XIMG with pal) and returns 8 bpp.
  Liest 24-bpp-Dateien (laut Definition XIMG) und gibt 24 bpp zurck.
  Schreibt 1-bpp-Daten als schwarz/weie 1-bpp-Datei.
  Schreibt 4-bpp-Daten mit Zuordnung zu "standardisierter" 16-Farbpalette
  oder als 4-bpp-Graustufendatei.
    Ausgabeoption: grey
  Oder schreibt 4-bpp-Daten als XIMG-Datei mit Palette.
    Ausgabeoption: pal
  Fr Dateien mit 256 Farben exisitiert keine Standardpalette.
  Schreibt 8-bpp-Daten als 8-bpp-Graustufendatei.
  Oder schreibt 8 bpp in XIMG-Datei mit Palette.
    Ausgabeoption: pal
  Schreibt 24-bpp-Daten als XIMG-Datei (normale Dateien knnen keine 24 bpp).
  Die Punktausmae in Micron knnen angegeben werden..
    Ausgabeoptionen: pixw=#,pixh=# (Standards: 85,85)
:exmp.
:xmp.
:hp2.Portrait : Portrait : .CVP:ehp2.
  In Deutschland bergeben Photographen manchmal Disketten mit einer .CVP-Datei.
  Die Datei enthlt ein einzelnes 24bpp-RGB-Bild mit einer Gre von 512x512.
  Die Datei ist unkomprimiert und daher stets 3/4MB gro.
  Mit diesem Format knnen nur Bilder der Gre 512x512 geschrieben werden.
  Die Pixel in der Datei sind nicht quadratisch, die Breite betrgt etwa 3/4 der Hhe.
  Beim Lesen und Schreiben wird auf dieses Grenverhltnisproblem keine Rcksicht genommen.
:exmp.
:xmp.
:hp2.JPEG : JPEG-Dateiaustauschformat : .JPG .JPEG .JPE:ehp2.
  Kann Dateien mit 8 bpp (Graustufen) und 24 bpp schreiben.
  Kann 24-bpp-Daten in Datei schreiben.
  Kann mit unterschiedlichen Qualittsgraden schreiben.
    Ausgabeoption: quality=# (Bereich 0 bis 100, Standard 75)
  Kann progressive JPEGs schreiben.
    Ausgabeoption: prog
:exmp.

.br
.br
:euserdoc.
