.******************************************************************************
.*  Maul Publisher Colour separation Handler Help File
.*   Peter Koller 1998, All Rights Reserved
.******************************************************************************
:userdoc.
:title. Maul image import handler help
:docprof toc=1234.
:h1 res=100 id=intro.Maul image import handler help
:i1 id=all.Maul image import handler help
:font facename='Tms Rmn' size=24x24.
:hp2.Maul image import handler:ehp2.
:font facename=default.
:p.
:p.This software is based on the Generalised Bitmap Module by Andy Key 
.*<!--<a href="mailto:nyangau@interalpha.co.uk">nyangau@interalpha.co.uk</a>-->
:p.This software is based in part on the work of the Independent JPEG Group.
:p.
:p.Implemented by Peter Koller, Maison Anglais, Trebuon, 29530 Plonevez du Faou, France.
:p.For support, mail to&colon.-
:p.:hp4.Maul Support <maul@manglais.com>:ehp4.
:p.
:p.
:p.:hp2.Formats supported:ehp2.

:p.GBM supports a variety of file formats, such as GIF, TIFF, PCX etc..

:p.Normally, applications using GBM deduce the file format from the file
extension.
eg&colon. :hp1.filename.gif:ehp1. is a Compu$erve GIF file.

:p.When specifying file names to programs written using GBM, it is
possible to append a comma seperated list of format specific options. The options are appended
in the approximately the same manner that options are appended to web pages, i.e.
:xmp.
filename#option=xxx, option, option=xxx
:exmp.
eg&colon. you can say :hp1.webpiccy.gif#ilace:ehp1.. 
In this case, the :hp1.ilace:ehp1. is a cue to the code in GBM which writes
GIF files, to tell it to write an interlaced GIF.
:note.Where applicable, the 'index=' option is automatically appended by the import dialog
buttons.

:p.
:xmp.:hp2.
Short name : Long name : File extensions:ehp2.
  Comments
:exmp.
:xmp.
:hp2.Bitmap : OS/2 1.1, 1.2, 2.0 / Windows 3.0 bitmap : .BMP .VGA .BGA .RLE .DIB .RL4 .RL8:ehp2.
  Reads any of the above if uncompressed or run-length compressed.
  Will not read CCITT G3 MH Fax compressed files.
  Will not read 24 bit RLE files.
  If input is an OS/2 bitmaparray file then which bitmap can be specified.
    Input options: index=# (default: 0)
  Can be made to write OS/2 1.1 or Windows 3.0 / OS/2 2.0 bitmaps
    Output options: 1.1,win,2.0 (default: 2.0, note win=2.0)
  The handling of 1bpp bitmaps is a little complicated.
  When reading 1bpp bitmaps, the palette is ignored.
  1's are considered foreground, and they are considered black.
  0's are considered background, and they are considered white.
  This agrees with WorkPlace Shell WPFolder background mode, and most PM
  programs, but notably disagrees with Windows PBrush.
  When writing 1bpp bitmaps, the actual 2 colours in the palette are
  ignored, and a fixed palette is written. This is so that the resulting
  bitmap will display 1's in black on 0's in white when displayed by
  WPFolder etc..
  Foreground and background colours in palette can be inverted on input.
    Input options: inv
  Foreground and background colours in palette can be inverted on output.
    Output options: inv
  Foreground and background colours in bits can be inverted on input.
    Input options: invb
  Foreground and background colours in bits can be inverted on output.
    Output options: invb
  The best option for writing 1bpp bitmaps is to write the darkest
  colour as the foreground. The resulting bitmap will have darkest
  colour as 1 bits, and lightest colour as 0 bits. When reloaded
  WPFolders and GBM will give a black 1's on white 0's picture.
    Output option: darkfg
  Also, there is an option for writing 1bpp bitmaps with the lightest
  colour as foreground. As WPFolder and GBM assume the foreground is
  black and the background is white on reloading, this will typically
  cause the image to be inverted.
    Output option: lightfg
:exmp.
:xmp.
:hp2.GIF : CompuServe Graphics Interchange Format : .GIF:ehp2.
  Reads 1, bit data files.
  Reads 2, 3 and 4 bit data files and presents them as 4 bit.
  Reads 5, 6, 7 and 8 bit data files and presents them as 8 bit.
  Writes 1, 4 and 8 bit data files.
  Reads "GIF87a" and "GIF89a" style files.
  Writes "GIF87a" style files.
  Will write "GIF89a" file, if the transcol= option is used.
  Should correctly handle deferred clear-code in LZW data stream.
  Will not generate output with deferred clear-code.
  ie: should not break older GIF readers.
  Can specify index of image within file on read.
    Input option: index=# (default 0)
  Can specify to return decoded data so far rather than error if corrupt.
    Input option: errok
  Can specify screen size to write in output screen descriptor.
    Output options: xscreen=#,yscreen=# (defaults: image size).
  Can specify background colour index to write in file BMHD header.
    Output option: background=# (default: 0)
  Can specify position information in output image descriptor.
    Output options: xpos=#,ypos=# (defaults: 0,0).
  Can specify transparent colour index (useful for HTML embedding).
    Output option: transcol=# (default is none).
  Can specify transparent colour index same as first pixel.
    Output option: transcol=edge
  Can write interlaced GIFs (good for HTML <IMG SRC="x.gif">)
    Output option: ilace
  Extensively test on GIF files from a wide variety of sources.
  Compatibility tested with xloadimage and xv.
:exmp.
:xmp.
:hp2.PCX : ZSoft PC Paintbrush Image format : .PCX .PCC:ehp2.
  Reads and writes 1,4,8 and 24 bit colour files.
  Subset of plane/bits-per-plane combinations supported.
  Files are read and written using a run-length coding scheme.
  Tested using Zsoft originated .PCX files.
  Compressed runs of pixels are not supposed to straddle scan lines.
  GBM never does this, but some other applications violate this rule.
  By default, if GBM finds that a run of pixels is longer than the scan
  line, it will use the leftover pixels on the next scan line.
  Some images will not load properly, as they require the loading
  program to discard those pixels in the run that extend beyond the end
  of the scan line. This behaviour can be enabled in GBM.
    Input option: trunc
:exmp.
:xmp.
:hp2.TIFF : Microsoft/Aldus Tagged Image File Format support : .TIF .TIFF:ehp2.
  Reads and writes 1,4,8 and 24 bit colour files.
  Can almost read all TIFF 6.0 Baseline compliant files.
    Can read uncompressed and Packbits images.
    CCITT Modified huffman compression is the missing peice.
  Can read some files with extensions to Baseline.
    Can read 1bpp greyscale and palettised files.
    Can read Orientation==4 files.
    Can read PlanarConfiguration==2 files for RGB image data.
    Can read LZW compressed files too.
    Can also read CMYK 4 colour seperation files.
    No JPEG or Y-Cb-Cr support.
  Writes files that comply with TIFF 6.0 Baseline.
    Usually writes uncompressed files only.
    Data is written out as a single large strip.
  Can specify image within TIFF file with many images
    Input option: index=# (default: 0)
  Can write 1bpp as non-Baseline file preserving fg/bg cols
    Output option: pal1bpp
  Can ask for LZW compression.
    Output option: lzw
  Can specify informational tags to append on output.
    Output options: artist=,software=,make=,model=,host=,documentname=,pagename=,imagedescription=
:exmp.
:xmp.
:hp2.Targa : Truevision Targa/Vista bitmap : .TGA .VST .AFI:ehp2.
  Reads any uncompressed/run-length-compressed files.
  Reads 8 bit and 24 bit files.
  Can read 8 bit greyscale and 8 bit colour mapped files.
  Reads both yup and ydown files.
  Writes out as uncompressed 8 bit or 16,24,32 bit.
    Output options: 16,24,32 (default 24)
  8 bit data is always written out as a colour mapped file.
  Can be made to write yup and ydown files.
    Output options: ydown,yup (default: yup)
:exmp.
:xmp.
:hp2.ILBM : Amiga IFF / ILBM Interleaved bitmap format : .IFF .LBM:ehp2.
  Reads 1 bit palettised files.
  Reads 2,3 and 4 bit palettised files, returning them as 4 bit.
  Reads 5,6,7 and 8 bit palettised files, returning them as 8 bit.
  Reads 24 bit images and returns them as 24 bit.
  Reads HAM6, HAM8, SHAM and Extra-Halfbrite images.
  HAM6, HAM8 and SHAM returned as 24 bit data.
  Writes 1,4 and 8 bit palettised colour files.
  Writes 24 bit files normally, or by converting to HAM6 first.
  This loses quality but results are still better than 8 bit.
  Understands the RLE compression scheme used.
  Uses BMHD, CMAP, CAMG and BODY sections of file only.
  Only writes BMHD, CMAP, CAMG and BODY sections in output files.
  Can specify position information in file BHMD header.
    Output options: xpos=#,ypos=# (defaults: 0,0).
  Can specify transparent colour to write in file BMHD header.
    Output option: transcol=# (default: 0)
  Can specify aspect ratio to write in file BMHD header.
    Output options: xaspect=#,yaspect=# (defaults: 1,1).
  Can specify screen size to write in output BMHD header.
    Output options: xscreen=#,yscreen=# (defaults: image size).
  Can specify to write 24 bpp data in HAM6 format.
    Output option: ham6
  Note that when DeluxePaint etc. try to load an 8 bit IFF file, they
  switch to a 32 colour (5 bit mode) and only read the 5 least
  significant planes of the file - this generally looks yukky!
  Tested using DeluxePaint sample bitmaps.
:exmp.
:xmp.
:hp2.YUV12C : YUV12C M-Motion Frame Buffer : .VID:ehp2.
  Reads files and presents data as 24 bit data.
  Writes 24 bit data files by converting them into 12 bit YUV.
  VID files MUST be a multiple of 4 pixels wide.
  When writing a non-multiple of 4, the last 1, 2 or 3 pixels are lost.
  Can specify image origin information in YUV12C header.
    Output options: xpos=#,ypos=# (defaults: 0,0).
  Tested using M-Control Program 2.0, Browser sample application.
:exmp.
:xmp.
:hp2.Greymap : Portable Greyscale-map (binary P5 type) : .PGM:ehp2.
  Credit for file format to Jef Poskancer.
  No palette present in file format.
  Reads 8 bit grey scale files.
  Writes red, green, blue plane or greyscale equivelent of 8 bit image.
    Output options: r,g,b,k (default: k)
:exmp.
:xmp.
:hp2.Pixmap : Portable Pixel-map (binary P6 type) : .PPM:ehp2.
  Credit for file format to Jef Poskancer.
  Reads and writes 24 bit unpalettised RGB data files.
:exmp.
:xmp.
:hp2.KIPS : IBM KIPS : .KPS:ehp2.
  Reads 8 bit palettised files.
  Will look for palette in .PAL file unless .KPL file specified.
    Input options: pal,kpl (default: pal)
  Writes 8 bit palettised files.
  Will write palette in .PAL file unless .KPL file specified.
    Output options: pal,kpl (default: pal)
:exmp.
:xmp.
:hp2.IAX : IBM Image Access eXecutive : .IAX:ehp2.
  Reads array as 8 bit greyscale.
  File format does not hold image dimensions.
  Hence code assumes width is 512 pixels unless overridden.
    Input options: width=# (default: 512)
  File format does not include palette.
  Writes red, green, blue plane or greyscale equivelent of 8 bit image.
    Output options: r,g,b,k (default: k)
:exmp.
:xmp.
:hp2.XBitmap : X Windows bitmap : .XBM:ehp2.
  Reads 1bpp X bitmaps, presenting 1's as black, 0's as white.
  Writes 1bpp X bitmaps, darkest colours as 1's, brightest colour as 0's.
  Tested upon some sample .XBM files.
:exmp.
:xmp.
:hp2.Sprite : Archimedes Sprite format from RiscOS : .SPR .SPRITE:ehp2.
  Technically sprite files have no extension.
  But GBM recognises .SPR and .SPRITE for convenience.
  Reads 1,4 and 8 bit sprites.
  'First bit' value in header must be a multiple of 8 (v.likely).
  Will only read image plane, will ignore any mask plane.
  Will handle case when no palette present in file.
  Will default to the default Wimp palette in this case.
  If input contains more than one sprite then which can be specified.
    Input options: index=# (default: 0)
  Will output 1,4 and 8 bit files.
  Will write a palette in the file.
  Will only write an image plane, ie: no mask plane.
  Will write a 16 entry palette for 8 bit data (not 64 entry).
  Will map to wierd archmedes palette when writing 8 bit data.
  Tested reading 4bpp sprites with no palette.
  Tested reading 8bpp sprites with no palette and with 64 entry palette.
  Sprites generated by GBM have been loaded on RiscOS.
  Remember: Use SetType to change type of file from PC-file to Sprite,
  by SetType option of filer menu or "*SetType <filename> Sprite".
:exmp.
:xmp.
:hp2.PSEG : IBM Printer Page Segment : .PSE .PSEG .PSEG38PP .PSEG3820:ehp2.
  This is a file format used by IBM document/printing systems.
  It is used to represent a bi-level image to be used in a document.
  Reads data and presents a 1bpp bitmap.
  Image is presented 1's as black on 0's as white background.
  PSEG files should be downloaded from a VM host in binary mode.
  Some PSEG files have a corrupt record structure.
  This doesn't cause a problem on VM but can confuse a non-VM reader.
  GBM can be made to attempt to handle these files.
    Input option: fixrec
  Will output 1bpp file.
  Will output file with scale factor of 1000
  Can specify new scale for both x and y
    Output options: scalex=#, scaley=#
  Can double the scale factors (option exists for backwards compatibility).
    Output option: double
  WIll output file with pel values of 2400 (dots per 10 inches, ie: 240 dpi).
  Can specify new pel values for both x and y
    Output options: pelx=#, pely=#
  Palette in 1bpp data is lost when written to file.
  The resulting non-VM file has no record structure.
  So when it is uploaded it must be fixed using FIXL3820 EXEC or similar.
  Image width is rounded up to next multiple of 8 when written.
:exmp.
:xmp.
:hp2.GemRas : GEM Raster : .IMG:ehp2.
  There is a basic level of support, and assorted XIMG extensions.
  One extension is the inclusion of palette info.
  Another allows 24 bpp data to be placed into an .IMG file.
  Reads 1 bpp files (which are B/W) and returns 1 bpp data.
  Reads 2,3 and 4 bpp files (col, grey, XIMG with pal) and returns 4 bpp.
  Reads 5,6,7 and 8 bpp files (grey, XIMG with pal) and returns 8 bpp.
  Reads 24 bpp (which are by definition XIMG) files and returns 24 bpp.
  Writes 1 bpp data as B/W 1 bpp file.
  Writes 4 bpp data mapped to 'standard' 16 colour palette.
  Or writes 4 bpp data greyscale 4 bpp file.
    Output option: grey
  Or writes 4 bpp data to XIMG file with palette.
    Output option: pal
  There is no 'standard' palette for 256 colour files.
  Writes 8 bpp data as greyscale 8 bpp file.
  Or writes 8 bpp to XIMG file with palette.
    Output option: pal
  Writes 24 bpp data as an XIMG file (normal file can't do 24 bpp).
  The pixel dimensions in microns can be specified.
    Output options: pixw=#,pixh=# (defaults: 85,85)
:exmp.
:xmp.
:hp2.Portrait : Portrait : .CVP:ehp2.
  In Germany, photographers sometimes supply a floppy with a .CVP on it.
  File holds a single 512x512 24bpp RGB image.
  File is uncompressed, and will therefore always be 3/4Mb.
  You can only write 512x512 images using this format.
  Pixels in the file are not square, the width is approx. 3/4 the height.
  This aspect ratio problem is not adjusted for when reading or writing.
:exmp.
:xmp.
:hp2.JPEG : JPEG File Interchange Format : .JPG .JPEG .JPE:ehp2.
  Can read 8 bpp (greyscale) and 24 bpp files.
  Can write 24 bpp data to a file.
  Can write with varying degrees of quality.
    Output option: quality=# (range 0 to 100, default 75)
  Can write progressive JPEGs.
    Output option: prog
:exmp.

.br
.br
:euserdoc.
